For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Trebellar Platform
DocsGuidesAPI Reference
DocsGuidesAPI Reference
  • API Reference
    • Introduction
  • API Resources
      • GETList People with Asset Filtering
      • POSTBatch Create/Update People
      • DELBatch Delete People
      • PATCHBatch Assign People to Assets
      • DELBatch Delete People-Asset Associations
      • PATCHBatch Add People to Groups
      • PATCHBatch Remove People from Groups
Trebellar Platform
LogoLogo
API ResourcesPeople

Batch Remove People from Groups

||View as Markdown|
PATCH
https://api.trebellar.app/api/v2/people/group/batch/members/remove
PATCH
/api/v2/people/group/batch/members/remove
1import { TrebellarApiClient } from "@trebellar/api-sdk";
2
3async function main() {
4 const client = new TrebellarApiClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.people.removePeopleGroupMembersBatch({
8 peopleIds: [
9 "string",
10 ],
11 groupIds: [
12 "string",
13 ],
14 });
15}
16main();
1{
2 "data": {}
3}
Remove people as members from multiple groups
Was this page helpful?
Previous

Batch Add People to Groups

Next

Add cost lines in batch

Built with

Authentication

X-Trebellar-Api-Keystring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
peopleIdslist of stringsRequired
groupIdslist of stringsRequired

Response

People removed from groups successfully
dataobject

Errors

400
Bad Request Error
404
Not Found Error
500
Internal Server Error